Package org.h2gis.functions.spatial.properties

# Class ST_YMin

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.properties.ST_YMin

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_YMin extends org.h2gis.api.DeterministicScalarFunction
ST_YMin returns the minimal y-value of the given geometry.

Author:
  Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_YMin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static Double`
`getMinY(org.locationtech.jts.geom.Geometry geom)`
Returns the minimal y-value of the given geometry.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_YMin

public ST_YMin()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### getMinY

public static Double getMinY(org.locationtech.jts.geom.Geometry geom)
Returns the minimal y-value of the given geometry.

Parameters:
  `geom` - Geometry
Returns:
  The minimal y-value of the given geometry, or null if the geometry is null.